<!DOCTYPE html>
<html lang="pt">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Doguito Petshop | Criar conta</title>
    <link href="https://fonts.googleapis.com/css2?family=Montserrat:wght@300;400&display=swap" rel="stylesheet">
    <link href="https://fonts.googleapis.com/css2?family=Pacifico&display=swap" rel="stylesheet">
    <link rel="stylesheet" href="./assets/css/base/base.css">
    <link rel="stylesheet" href="./assets/css/cadastro.css">
    <link rel="stylesheet" href="./assets/css/componentes/cartao.css">
    <link rel="stylesheet" href="./assets/css/componentes/inputs.css">
    <link rel="stylesheet" href="./assets/css/componentes/botao.css">
</head>
<body>
    <main class="container flex flex--coluna flex--centro">
        <div class="cadastro-cabecalho">
            <img src="./assets/img/doguito.svg" alt="Logo Doguito" class="cadastro-cabecalho__logo">
            <h1 class="cadastro-cabecalho__titulo">PetShop</h1>
        </div>
        <section class="cartao">
            <h2 class="cartao__titulo">Complete seu cadastro</h2>
            <form action="./cadastro_concluido.html" class="formulario flex flex--coluna">
                <fieldset>
                    <legend class="formulario__legenda">Informações básicas</legend>

                    <div class="input-container"> <!-- name -->
                        <input name="nome" id="nome" class="input" type="text" placeholder="Nome" data-type="name" required>
                        <label class="input-label" for="nome">Nome</label>
                        <span class="input-mensagem-erro" data-span="name">Este campo não está válido</span>
                    </div>

                    <div class="input-container"> <!-- email -->
                        <input name="email" id="email" class="input" type="email" placeholder="Email" data-type="email" required>
                        <label class="input-label" for="email">Email</label>
                        <span class="input-mensagem-erro">Este campo não está válido</span>
                    </div>

					<div class="input-container"> <!-- phone -->
                        <input name="telefone" id="telefone" class="input" type="text" placeholder="Telefone" data-type="phone" maxlength="15" onkeyup="phoneMask(event)" onkeypress="return onlyNumbers(event, `[data-span='phone']`)" required>
                        <label class="input-label" for="telefone">Telefone</label>
                        <span class="input-mensagem-erro" data-span="phone">Este campo não está válido</span>
                    </div>

                    <div class="input-container"> <!-- password -->
                        <input name="senha" id="senha" class="input" type="password" pattern="^(?=.*[a-z])(?=.*[A-Z])(?=.*[0-9])(?=.*[ ,.!@#$%^&*_=+-]).{6,8}$" placeholder="Senha" minlength="6" maxlength="8" title="É necessários que a senha contenha: de 6 a 8 caracteres, com pelo menos 1 letra maiúscula, uma 1 letra minúscula, 1 número e 1 símbolo." data-type="password" required>
                        <label class="input-label" for="senha">Senha</label>
                        <span class="input-mensagem-erro">Este campo não está válido</span>
                    </div>
                </fieldset>

                <fieldset>
                    <legend class="formulario__legenda">Informações pessoais</legend>

                    <div class="input-container"> <!-- birthdate -->
                        <input name="nascimento" id="nascimento" class="input" type="date" placeholder="Data de nascimento" data-type="birthdate" required>
                        <label class="input-label" for="nascimento">Data de nascimento</label>
                        <span class="input-mensagem-erro">Este campo não está válido</span>
                    </div>

                    <div class="input-container"> <!-- cpf -->
                        <input name="cpf" id="cpf" class="input" type="text" placeholder="CPF" maxlength="14" onkeyup="cpfMask(event)" onkeypress="return onlyNumbers(event, `[data-span='cpf']`)" data-type="cpf" required>
                        <label class="input-label"  for="cpf">CPF</label>
                        <span class="input-mensagem-erro" data-span="cpf">Este campo não está válido</span>
                    </div>

                </fieldset>

                <fieldset>
                    <legend class="formulario__legenda">Endereço</legend>

                    <div class="input-container"> <!-- cep -->
                        <input name="cep" id="cep" class="input" type="text" placeholder="CEP" maxlength="9" data-type="cep" onkeyup="cepMask(event)" onkeypress="return onlyNumbers(event, `[data-span='cep']`)" pattern="[\d]{5}-?[\d]{3}" required>
                        <label class="input-label" for="cep">CEP</label>
                        <span class="input-mensagem-erro" data-span="cep">Este campo não está válido</span>
                    </div>

                    <div class="input-container"> <!-- street -->
                        <input name="logradouro" id="logradouro" class="input" type="text" placeholder="Logradouro" data-type="street" required>
                        <label class="input-label" for="logradouro">Logradouro</label>
                        <span class="input-mensagem-erro">Este campo não está válido</span>
                    </div>

					<div class="input-container"> <!-- neighborhood -->
                        <input name="bairro" id="bairro" class="input" type="text" placeholder="bairro" data-type="neighborhood" required>
                        <label class="input-label" for="bairro">Bairro</label>
                        <span class="input-mensagem-erro">Este campo não está válido</span>
                    </div>

                    <div class="input-container"> <!-- city -->
                        <input name="cidade" id="cidade" class="input" type="text" placeholder="Cidade" data-type="city" required>
                        <label class="input-label" for="cidade">Cidade</label>
                        <span class="input-mensagem-erro">Este campo não está válido</span>
                    </div>

                    <div class="input-container"> <!-- state -->
                        <input name="estado" id="estado" class="input" type="text" placeholder="Estado" data-type="state" required>
                        <label class="input-label" for="estado">Estado</label>
                        <span class="input-mensagem-erro">Este campo não está válido</span>
                    </div>

                </fieldset>

                <button class="botao">Cadastrar</a>

            </form>

        </section>

    </main>

	<script type="module" src="./assets/js/app.js"></script>
	<script src="assets/js/masks_inputs.js"></script>

</body>

</html>
